import React from 'react';
import {render, screen, cleanup, waitForElement} from "@testing-library/react";
import App from './App';
import ClientConfigContext from "./ClientConfigContext";
import {withContext} from "./testUtil";
import history from "./history";

test('renders learn react link', () => {
  const { getByText } = render(<App />);
  const linkElement = getByText(/ping/i);
  expect(linkElement).toBeInTheDocument();
});
const contextValue = {UIBaseRoute: '/ui'}

describe('App Component', () => {

  beforeEach(() => {
    jest.spyOn(window, 'fetch').mockImplementationOnce(() => Promise.resolve({
      text: () => Promise.resolve('test pong'),
    }));
  })

  describe( 'App Component', () => {
    it( 'Tests Snapshot', () => {
      history.push( '/ui/dashboard', {} );
      const { getByText } = render( withContext(<App />, ClientConfigContext, {UIBaseRoute: '/ui'}) );
      const dashboardText = getByText(/Dashboard Page.*/i);
      expect(dashboardText).toBeInTheDocument();
      const settingText = getByText(/Setting Page for accountId 1/i);
      expect(settingText).toBeInTheDocument();
    } );
  } );
  afterEach(cleanup);

  it('Dashboard Page', async () => {
    const route = '/ui/dashboard';
    render(withContext(<App {...contextValue} />, ClientConfigContext, contextValue));
    history.push(route);
    await waitForElement( () => screen.getByText( /Dashboard Page/i ) );
  });

  it('Setting Page', async () => {
    const route = '/ui/setting';
    render(withContext(<App {...contextValue}/>, ClientConfigContext, contextValue));
    history.push(route);
    await waitForElement( () => screen.getByText( /Setting Page/i ) );
  });


});
