import React, { Fragment } from 'react';
import PropTypes from 'prop-types';
import { Redirect, Route, Router, Switch } from 'react-router-dom';
import history from './history';
import DashboardPage from './pages/DashboardPage/DashboardPage';
import SettingPage from './pages/SettingPage/SettingPage';
import Welcome from "./pages/Welcome/Welcome";

class RootRouter extends React.Component {
  static getDefaultPageRoute() {
    return '/ui/welcome';
  }

  render() {
    const { children } = this.props;
    return (
      <Router history={history}>
        <Fragment>
          {children}
          <Switch>
            <Route
                exact
                path={'/:base*/welcome(/)?'}
                component={Welcome}
            />
            <Route
              exact
              path={'/:base*/dashboard(/)?'}
              component={DashboardPage}
            />
            <Route
              exact
              path={'/:base*/setting/:accountId?'}
              component={SettingPage}
            />
            <Redirect to={RootRouter.getDefaultPageRoute()} />
          </Switch>
        </Fragment>
      </Router>
    );
  }
}

RootRouter.defaultProps = {
  children: null,
};

RootRouter.propTypes = {
  children: PropTypes.node,
};

export default RootRouter;
