import React, {useContext} from 'react';
import {withRouter} from 'react-router';
import {NavLink} from 'react-router-dom';
import ClientConfigContext from '../../ClientConfigContext';

const styles = {
    active:
        {
            fontWeight: 'bold',
            color: 'red',
        },
};


const Nav = () => {
    const {UIBaseRoute} = useContext(ClientConfigContext);

    return (
        <ul>
            <li>
                <NavLink to={`${UIBaseRoute}/welcome`} exact activeStyle={styles.active}>Welcome</NavLink>
            </li>
            <li>
                <NavLink to={`${UIBaseRoute}/dashboard`} exact activeStyle={styles.active}>Dashboard</NavLink>
            </li>
            <li>
                <NavLink to={`${UIBaseRoute}/setting?accountId=1`} exact activeStyle={styles.active}>Setting</NavLink>
            </li>
        </ul>
    );
};

export default withRouter(Nav);
