import React, { useState, useEffect, useContext } from 'react';
import ClientConfigContext from '../../ClientConfigContext';

const DashboardPage = () => {
  const [ message, setMessage ] = useState( 'loading...' );
  const { PingBaseRoute } = useContext( ClientConfigContext );

  useEffect( () => {
    let activeComponent = true; // this is required if component is unmounted before the setMessages code
    async function fetchPingMessage() {
      try {
        const response = fetch( PingBaseRoute );
        const pingMessage = await response.then( res => res.text() );
        if(activeComponent) {
          setMessage(pingMessage);
        }

      }
      catch ( e ) {
        setMessage( `Got Error ${e.message}` );
      }
    }
    fetchPingMessage();
    return () => activeComponent = false;
  }, [] );


  return (
    <div>
      Dashboard Page <br />
      Got ping message from server: {message}
    </div>
  );
};

export default DashboardPage;
