const PropertiesReader = require('properties-reader');
const properties = PropertiesReader('../conf/service.properties');

const ignorePattern = [
    '\\/static\\/',
    '\\/ui',
    '.*\\.hot-update\\.js$',
    '.*manifest\\.json$'
]
const ignorePatternString = `^${ignorePattern.map( i => `(?!(?=${i}))` ).join('')}.*`;

const proxy = require('http-proxy-middleware');
module.exports = function(app) {
    let host =  properties.get('http.server.host')?properties.get('http.server.host'):'0.0.0.0';
    let port =  properties.get('http.server.port')?properties.get('http.server.port'):'9000';
    app.use(
        new RegExp(ignorePatternString),
        proxy({
            target: `http://${host}:${port}`,
            changeOrigin: true,
        })
    );
};
