import {createMemoryHistory} from "history";
import {render} from "@testing-library/react";
import {Router} from "react-router-dom";
import React from "react";

export function renderWithRouter(ui,{route = '/', history = createMemoryHistory({initialEntries: [route]})} = {}) {
    return {
        ...render(<Router history={history}>{ui}</Router>),
        // adding `history` to the returned utilities to allow us
        // to reference it in our tests (just try to avoid using
        // this to test implementation details).
        history,
    }
}

export function withContext(ui, Context, value) {
    return <Context.Provider value={value}>{ui}</Context.Provider>
}
